# Send Attachment Message

> Send an image, video or document attachment to a Revora customer on any connected platform.

Developers · REST API

Send an image, video or document attachment to a Revora customer on any
connected platform.

**POST** `/stable/open/customers/send-attachment-message`

Base URL: `https://api.myalice.ai`. Authenticate with the `X-Myalice-Api-Key`
header.

## Body parameters

**`customer_id` (string) — required**

The ID of the customer in Revora.

**`attachment_type` (string) — required**

One of `image`, `video` or `document`.

**`attachment_url` (string) — required**

A publicly accessible URL of the attachment.

## Example

```bash cURL
curl -X POST "https://api.myalice.ai/stable/open/customers/send-attachment-message" \
  -H "X-Myalice-Api-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "customer_id": "1022",
    "attachment_type": "image",
    "attachment_url": "https://example.com/logo.png"
  }'
```

```json Response
{
  "id": "msg_c34d…",
  "project_id": 343,
  "timestamp": "2026-07-02T09:30:00Z",
  "function_name": "send_attachment_message",
  "message": "Attachment sent",
  "status": "sent",
  "extra": { "customer_id": 1022, "success": true }
}
```

## Errors

**`400` (object)**

Unexpected error. Body: `{ "error": string, "code": string, "success": false }`.

**`401` (object)**

Unauthorized — missing or invalid API key.

---
HTML: https://userevora.com/docs/developers/rest-api/send-attachment-message
